package com.yunzhupaas.visualdata.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.visualdata.entity.VisualMapEntity;
import com.yunzhupaas.visualdata.model.visual.VisualPaginationModel;

import java.util.List;

/**
 * 大屏地图配置
 *
 * @author 云筑产品开发平台组
 * @version V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date 2024年6月15日
 */
public interface VisualMapService extends SuperService<VisualMapEntity> {

    /**
     * 列表
     *
     * @param pagination 条件
     * @return
     */
    List<VisualMapEntity> getList(VisualPaginationModel pagination);

    /**
     * 列表
     * @param pagination 条件
     * @param columns 筛选字段
     * @return
     */
    List<VisualMapEntity> getListWithColnums(VisualPaginationModel pagination, SFunction<VisualMapEntity, ?>... columns);

    /**
     * 信息
     *
     * @param id 主键值
     * @return
     */
    VisualMapEntity getInfo(String id);

    /**
     * 创建
     *
     * @param entity 实体对象
     */
    void create(VisualMapEntity entity);

    /**
     * 更新
     *
     * @param id     主键值
     * @param entity 实体对象
     * @return
     */
    boolean update(String id, VisualMapEntity entity);

    /**
     * 删除
     *
     * @param entity 实体对象
     */
    void delete(VisualMapEntity entity);



    /**
     * 是否存在夏季
     */
    boolean hasChild(String id);
}

